列出 windowsHelloForBusinessAuthenticationMethods
本文内容
命名空间:microsoft.graph
获取 windowsHelloForBusinessAuthenticationMethod 对象及其属性的列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
自行操作的权限
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
UserAuthenticationMethod.Read、UserAuthenticationMethod.ReadWrite
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
对其他用户操作的权限
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
UserAuthenticationMethod.Read.All、UserAuthenticationMethod.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
UserAuthenticationMethod.Read.All、UserAuthenticationMethod.ReadWrite.All
对于管理员在另一用户上操作的委派方案,管理员需要以下角色Azure AD之一 :
全局管理员
全局读取者
特权身份验证管理员
身份验证管理员 (只能看到屏蔽)
HTTP 请求
GET /me/authentication/windowsHelloForBusinessMethods
GET /users/{id | userPrincipalName}/authentication/windowsHelloForBusinessMethods
可选的查询参数
不支持。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK windowsHelloForBusinessAuthenticationMethod 对象集合。
示例
请求
GET https://graph.microsoft.com/v1.0/users/annie@contoso.com/authentication/windowsHelloForBusinessMethods
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var windowsHelloForBusinessMethods = await graphClient.Users["{user-id}"].Authentication.WindowsHelloForBusinessMethods
.Request()
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let windowsHelloForBusinessMethods = await client.api('/users/annie@contoso.com/authentication/windowsHelloForBusinessMethods')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/users/annie@contoso.com/authentication/windowsHelloForBusinessMethods"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphWindowsHelloForBusinessAuthenticationMethod *windowsHelloForBusinessAuthenticationMethod = [[MSGraphWindowsHelloForBusinessAuthenticationMethod alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
WindowsHelloForBusinessAuthenticationMethodCollectionPage windowsHelloForBusinessMethods = graphClient.users("annie@contoso.com").authentication().windowsHelloForBusinessMethods()
.buildRequest()
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
userId := "user-id"
result, err := graphClient.UsersById(&userId).Authentication().WindowsHelloForBusinessMethods().Get()
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
Import-Module Microsoft.Graph.Identity.SignIns
Get-MgUserAuthenticationWindowHelloForBusinessMethod -UserId $userId
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.windowsHelloForBusinessAuthenticationMethod",
"id": "b5e01f81-1f81-b5e0-811f-e0b5811fe0b5",
"displayName": "Jordan's Surface Book",
"createdDateTime": "2020-11-27T23:12:49Z",
"keyStrength": "normal"
},
{
"@odata.type": "#microsoft.graph.windowsHelloForBusinessAuthenticationMethod",
"id": "e6dab818-e68d-433e-89d5-547357870cb2",
"displayName": "New Surface Duo",
"createdDateTime": "2020-12-25T02:20:13Z",
"keyStrength": "normal"
}
]
}